Bug 19179 - Email option for SMSSendDriver is not documented as a valid setting
Summary: Email option for SMSSendDriver is not documented as a valid setting
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Charlotte Cordwell
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords: Academy
Depends on: 9021
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-26 15:24 UTC by Katrin Fischer
Modified: 2018-09-24 09:44 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19179: Email option for SMSSendDriver is not documented as a valid setting 1) Apply patch. 2) Go to Administration --> search SMSSendDriver 3) Check if this message is at th end of the box:"If you would prefer to receive SMS via E-mail set SMSSendDriv (1.28 KB, patch)
2018-01-16 03:08 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19179: Email option for SMSSendDriver is not documented as a valid setting (1.28 KB, patch)
2018-01-16 03:10 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19179: Email option for SMSSendDriver is not documented (1.28 KB, patch)
2018-09-07 03:40 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19179: Email option for SMSSendDriver is not documented (1.33 KB, patch)
2018-09-07 11:24 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 19179: Email option for SMSSendDriver is not documented (1.42 KB, patch)
2018-09-14 09:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19179: (QA follow-up) Replace second E-mail (1.28 KB, patch)
2018-09-14 09:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-08-26 15:24:43 UTC
The system preference SMSSendDriver doesn't mention the option to use Email in order to activate the feature for sending messages as sms using email gateways.

See: http://bywatersolutions.com/2016/02/26/koha-sms/
Comment 1 Charlotte Cordwell 2018-01-16 03:08:44 UTC
Created attachment 70538 [details] [review]
Bug 19179: Email option for SMSSendDriver is not documented as a valid setting 1) Apply patch. 2) Go to Administration --> search SMSSendDriver 3) Check if this message is at th end of the box:"If you would prefer to receive SMS via E-mail set SMSSendDriv
Comment 2 Charlotte Cordwell 2018-01-16 03:10:05 UTC
Created attachment 70539 [details] [review]
Bug 19179: Email option for SMSSendDriver is not documented as a valid setting

1) Apply patch.
2) Go to Administration --> search SMSSendDriver
3) Check if this message is at th end of the box:"If you would prefer to receive SMS via E-mail set SMSSendDriver to E-mail "
Comment 3 Roch D'Amour 2018-02-02 23:00:10 UTC
Could you please rebase the patch, I tried to apply it and got a SHA1 error: 
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref).
error: could not build fake ancestor.
Thanks!
Comment 4 M. Tompsett 2018-09-07 03:40:58 UTC
Created attachment 78498 [details] [review]
Bug 19179: Email option for SMSSendDriver is not documented

'Email' is not documented as a valid setting.

1) Apply patch.
2) Go to Administration --> search SMSSendDriver
3) Check if SMSSendDriver has this message is at the end of the box:
   "If you would prefer to receive SMS via E-mail set SMSSendDriver to Email"
Comment 5 Michal Denar 2018-09-07 11:24:53 UTC
Created attachment 78504 [details] [review]
Bug 19179: Email option for SMSSendDriver is not documented

'Email' is not documented as a valid setting.

1) Apply patch.
2) Go to Administration --> search SMSSendDriver
3) Check if SMSSendDriver has this message is at the end of the box:
   "If you would prefer to receive SMS via E-mail set SMSSendDriver to Email"

Signed-off-by:  Michal Denar <black23@gmail.coml>
Comment 6 Marcel de Rooy 2018-09-14 09:58:36 UTC
Created attachment 78645 [details] [review]
Bug 19179: Email option for SMSSendDriver is not documented

'Email' is not documented as a valid setting.

1) Apply patch.
2) Go to Administration --> search SMSSendDriver
3) Check if SMSSendDriver has this message is at the end of the box:
   "If you would prefer to receive SMS via E-mail set SMSSendDriver to Email"

Signed-off-by:  Michal Denar <black23@gmail.coml>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2018-09-14 09:58:42 UTC
Created attachment 78646 [details] [review]
Bug 19179: (QA follow-up) Replace second E-mail

Better write here exactly what we need to type in the pref text box.
Since E-mail will not work and Email will :)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Nick Clemens 2018-09-14 23:27:48 UTC
Awesome work all!

Pushed to master for 18.11
Comment 9 Martin Renvoize 2018-09-17 13:45:54 UTC
Pushed to 18.05.x for 18.05.04
Comment 10 Fridolin SOMERS 2018-09-24 09:44:08 UTC
Pushed to 17.11.x for 17.11.10